---
dependency:
  name: galaxy
driver:
  name: vagrant
  provider:
    name: virtualbox
lint: |
  set -e
  yamllint .
  ansible-lint
  flake8

provisioner:
  name: ansible
  env:
    ANSIBLE_ROLES_PATH: "../../roles:../../roles.3rd_party"
  inventory:
    links:
      hosts: "../../inventory/groups"
      group_vars: "../../inventory/group_vars/"
      # host_vars: ".host_vars/"

verifier:
  name: ansible

scenario:
  create_sequence:
    # - dependency
    - create
    - prepare
  check_sequence:
    # - dependency
    # - cleanup
    - destroy
    - create
    - prepare
    - converge
    - check
    - destroy
  converge_sequence:
    # - dependency
    - create
    - prepare
    - converge
  destroy_sequence:
    # - dependency
    # - cleanup
    - destroy
  test_sequence:
    # - dependency
    # - lint
    # - cleanup
    - destroy
    # - syntax
    - create
    - prepare
    - converge
    # temporay disabled
    # - idempotence
    # - side_effect
    - verify
    # - cleanup
    - destroy
